<?php

namespace Intergo\AuthClient\Structs\ApiKey;

use Intergo\AuthClient\Structs\BaseAuth;

class DeleteApiKey extends BaseAuth
{
    /** @var string */
    public $token;
    /** @var string */
    public $email;
    /** @var string */
    public $api_key;
    /** @var string */
    public $api_id;

    /**
     * DeleteApiKey constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $email
     * @param $token
     * @param $api_key
     * @param $api_id
     */
    public function __construct($site, $jwt_auth_secret, $ip, $email, $token, $api_key, $api_id)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->email = $email;
        $this->api_key = $api_key;
        $this->api_id = $api_id;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'email' => $this->email,
            'token' => $this->token,
            'api_key' => $this->api_key,
            'api_id' => $this->api_id
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
