<?php

namespace Intergo\AuthClient\Structs\ApiKey;

use Intergo\AuthClient\Structs\BaseAuth;

class DeleteUserApiKeys extends BaseAuth
{
    /** @var integer */
    public $user_id;
    /** @var string */
    public $email;

    /**
     * DeleteApiKey constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $email
     * @param $user_id
     */
    public function __construct($site, $jwt_auth_secret, $ip, $email, $user_id)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->email = $email;
        $this->user_id = $user_id;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'email' => $this->email,
            'user_id' => $this->user_id
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
