<?php

namespace Intergo\AuthClient\Structs\ApiKey;

use Intergo\AuthClient\Structs\BaseAuth;

class GenerateApiKey extends BaseAuth
{
    /** @var string */
    public $token;
    /** @var string */
    public $email;
    /** @var string */
    public $title;
    /** @var integer */
    public $user_id;
    private $secure;

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $email
     * @param $token
     * @param $title
     * @param $user_id
     * @param $secure
     */
    public function __construct($site, $jwt_auth_secret, $ip, $email, $token, $title, $user_id, $secure)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->email = $email;
        $this->title = $title;
        if (isset($user_id)) {
            $this->user_id = $user_id;
        }
        $this->secure = $secure;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        $data = array_merge(parent::toArray(), [
            'email' => $this->email,
            'token' => $this->token,
            'title' => $this->title,
            'secure' => $this->secure
        ]);
        if (isset($user_id)) {
            $data['user_id'] = $user_id;
        }
        return $data;
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
