<?php

namespace Intergo\AuthClient\Structs\ApiKey;

use Intergo\AuthClient\Structs\BaseAuth;

class GetUserApiKeys extends BaseAuth
{
    /** @var string */
    public $token;
    /** @var string */
    public $email;
    /** @var string */
    public $api_key;

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $email
     * @param $token
     */
    public function __construct($site, $jwt_auth_secret, $ip, $email, $token)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->email = $email;
        $this->api_key = "";
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'email' => $this->email,
            'token' => $this->token,
            'api_key' => $this->api_key
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
