<?php

namespace Intergo\AuthClient\Structs;

use Intergo\BaseClient\Structs\Guzzle;

abstract class BaseAuth extends Guzzle
{
    /** @var string */
    public $site;
    /** @var string */
    public $jwt_auth_secret;
    /** @var string */
    public $ip;

    /**
     * BaseAuth constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     */
    public function __construct($site, $jwt_auth_secret, $ip)
    {
        $this->site = $site;
        $this->jwt_auth_secret = $jwt_auth_secret;
        $this->ip = $ip;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return [
            'site' => $this->site,
            'jwt_auth_secret' => $this->jwt_auth_secret,
            'ip' => $this->ip
        ];
    }
}
